uuid: c9a33b4c-f985-4864-a1c1-0224fbe0bbe5
langcode: en
status: true
dependencies:
  module:
    - drutopia_campaign
id: config_sync.module.drutopia_campaign
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_campaign
items:
  -
    collection: ''
    name: block_visibility_groups.block_visibility_group.campaign_listing
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - system
      id: campaign_listing
      label: 'Campaign Listing'
      logic: and
      conditions:
        53989ae8-6ad6-4cd1-81af-ea158c05aadf:
          id: request_path
          pages: /campaigns
          negate: false
          context_mapping: {  }
          uuid: 53989ae8-6ad6-4cd1-81af-ea158c05aadf
      allow_other_conditions: false
      _core:
        default_config_hash: EocBlBMSGjPK5Eumym05ltu9tcq7Q9pEvAMrX9iUVco
  -
    collection: ''
    name: core.base_field_override.node.campaign.promote
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - node.type.campaign
      id: node.campaign.promote
      field_name: promote
      entity_type: node
      bundle: campaign
      label: 'Promoted to front page'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 0
      default_value_callback: ''
      settings:
        on_label: 'On'
        off_label: 'Off'
      field_type: boolean
      _core:
        default_config_hash: SrmWzHMQ7ivjvmfwnwR6xWsRNfJaeDgqP-nZBs_ICu0
  -
    collection: ''
    name: core.entity_form_display.node.campaign.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
        module:
          - media_library_media_modify
          - metatag
          - paragraphs
          - path
          - text
      id: node.campaign.default
      targetEntityType: node
      bundle: campaign
      mode: default
      content:
        created:
          type: datetime_timestamp
          weight: 10
          region: content
          settings: {  }
          third_party_settings: {  }
        field_body_paragraph:
          type: entity_reference_paragraphs
          weight: 3
          region: content
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
        field_campaign_demands:
          type: entity_reference_paragraphs
          weight: 5
          region: content
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
        field_campaign_type:
          type: options_select
          weight: 1
          region: content
          settings: {  }
          third_party_settings: {  }
        field_campaign_updates:
          type: entity_reference_paragraphs
          weight: 6
          region: content
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
        field_media_image:
          type: media_library_media_modify_widget
          weight: 4
          region: content
          settings:
            media_types: {  }
            form_mode: main
            check_selected: false
            replace_checkbox_by_order_indicator: false
            multi_edit_on_create: false
            no_edit_on_create: false
          third_party_settings: {  }
        field_meta_tags:
          type: metatag_firehose
          weight: 14
          region: content
          settings:
            sidebar: true
            use_details: true
          third_party_settings: {  }
        field_summary:
          type: text_textarea
          weight: 2
          region: content
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
        field_tags:
          type: entity_reference_autocomplete_tags
          weight: 8
          region: content
          settings:
            match_operator: CONTAINS
            match_limit: 10
            size: 60
            placeholder: ''
          third_party_settings: {  }
        field_topics:
          type: options_select
          weight: 7
          region: content
          settings: {  }
          third_party_settings: {  }
        path:
          type: path
          weight: 13
          region: content
          settings: {  }
          third_party_settings: {  }
        promote:
          type: boolean_checkbox
          weight: 11
          region: content
          settings:
            display_label: true
          third_party_settings: {  }
        status:
          type: boolean_checkbox
          weight: 16
          region: content
          settings:
            display_label: true
          third_party_settings: {  }
        sticky:
          type: boolean_checkbox
          weight: 12
          region: content
          settings:
            display_label: true
          third_party_settings: {  }
        title:
          type: string_textfield
          weight: 0
          region: content
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
        uid:
          type: entity_reference_autocomplete
          weight: 9
          region: content
          settings:
            match_operator: CONTAINS
            match_limit: 10
            size: 60
            placeholder: ''
          third_party_settings: {  }
        url_redirects:
          weight: 15
          region: content
          settings: {  }
          third_party_settings: {  }
      hidden:
        body: true
        field_image: true
      _core:
        default_config_hash: d-HktP4uhc5HJO5edfbSroN83U5KGGgaFqxV-h99kns
  -
    collection: ''
    name: core.entity_view_display.node.campaign.card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.card
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
          - responsive_image.styles.drutopia_card
        module:
          - ds
          - field_group
          - media_responsive_thumbnail
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              classes:
                layout_class: {  }
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              label: ''
          regions:
            ds_content:
              - field_media_image
              - field_topics
              - group_card_content
              - node_title
              - group_card_content_bottom
              - field_summary
          fields:
            node_title:
              plugin_id: node_title
              weight: 2
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
        field_group:
          group_card_content:
            children:
              - node_title
              - field_summary
            label: 'Card content'
            parent_name: ''
            region: ds_content
            weight: 1
            format_type: html_element
            format_settings:
              classes: ''
              id: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
          group_card_content_bottom:
            children:
              - field_topics
            label: 'Card content bottom'
            parent_name: ''
            region: ds_content
            weight: 2
            format_type: html_element
            format_settings:
              classes: ''
              id: ''
              element: div
              show_label: false
              label_element: h3
              label_element_classes: ''
              attributes: ''
              effect: none
              speed: fast
      id: node.campaign.card
      targetEntityType: node
      bundle: campaign
      mode: card
      content:
        field_media_image:
          type: media_responsive_thumbnail
          label: hidden
          settings:
            responsive_image_style: drutopia_card
            image_link: ''
            image_loading:
              attribute: lazy
          third_party_settings: {  }
          weight: 0
          region: ds_content
        field_summary:
          type: text_trimmed
          label: visually_hidden
          settings:
            trim_length: 180
          third_party_settings: {  }
          weight: 3
          region: ds_content
        field_topics:
          type: entity_reference_label
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 0
          region: ds_content
      hidden:
        body: true
        field_body_paragraph: true
        field_campaign_demands: true
        field_campaign_type: true
        field_campaign_updates: true
        field_image: true
        field_meta_tags: true
        field_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: qQnWMfTeRpnsed_qsQ7yNFAYDotMLcdAyicHkWPbLVg
  -
    collection: ''
    name: core.entity_view_display.node.campaign.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
        module:
          - user
      id: node.campaign.default
      targetEntityType: node
      bundle: campaign
      mode: default
      content:
        field_media_image:
          type: entity_reference_entity_view
          label: hidden
          settings:
            view_mode: default
            link: false
          third_party_settings: {  }
          weight: 1
          region: content
      hidden:
        body: true
        field_body_paragraph: true
        field_campaign_demands: true
        field_campaign_type: true
        field_campaign_updates: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: XPbCf6F-VzKidK-uRznGWRoyVNJz39qTBw7-Tcdvd8A
  -
    collection: ''
    name: core.entity_view_display.node.campaign.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.full
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
          - responsive_image.styles.drutopia_main
        module:
          - ds
          - entity_reference_revisions
          - media_responsive_thumbnail
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col_wrapper
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              classes:
                layout_class: {  }
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              label: ''
          regions:
            ds_content:
              - field_media_image
              - field_body_paragraph
              - field_campaign_demands
              - field_campaign_updates
              - field_campaign_type
              - field_topics
              - field_tags
              - links
      id: node.campaign.full
      targetEntityType: node
      bundle: campaign
      mode: full
      content:
        field_body_paragraph:
          type: entity_reference_revisions_entity_view
          label: visually_hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          weight: 1
          region: ds_content
        field_campaign_demands:
          type: entity_reference_revisions_entity_view
          label: above
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          weight: 2
          region: ds_content
        field_campaign_type:
          type: entity_reference_label
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 4
          region: ds_content
        field_campaign_updates:
          type: entity_reference_revisions_entity_view
          label: above
          settings:
            view_mode: default
            link: ''
          third_party_settings:
            ds:
              ds_limit: ''
          weight: 3
          region: ds_content
        field_media_image:
          type: media_responsive_thumbnail
          label: hidden
          settings:
            responsive_image_style: drutopia_main
            image_link: ''
            image_loading:
              attribute: lazy
          third_party_settings: {  }
          weight: 0
          region: ds_content
        field_tags:
          type: entity_reference_label
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 6
          region: ds_content
        field_topics:
          type: entity_reference_label
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 5
          region: ds_content
        links:
          settings: {  }
          third_party_settings: {  }
          weight: 7
          region: ds_content
      hidden:
        body: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        search_api_excerpt: true
      _core:
        default_config_hash: fcJ31xmfxeLTyDgdva-yOFFHHm3lSrksiHgQZH7y_fo
  -
    collection: ''
    name: core.entity_view_display.node.campaign.search_index
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.search_index
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
        module:
          - ds
          - media
          - paragraphs
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              classes:
                layout_class: {  }
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              label: ''
          regions:
            ds_content:
              - field_media_image
              - field_body_paragraph
              - field_campaign_demands
              - field_campaign_updates
              - field_topics
              - field_tags
      id: node.campaign.search_index
      targetEntityType: node
      bundle: campaign
      mode: search_index
      content:
        field_body_paragraph:
          type: paragraph_summary
          label: hidden
          settings: {  }
          third_party_settings: {  }
          weight: 1
          region: ds_content
        field_campaign_demands:
          type: paragraph_summary
          label: hidden
          settings: {  }
          third_party_settings: {  }
          weight: 2
          region: ds_content
        field_campaign_updates:
          type: paragraph_summary
          label: hidden
          settings: {  }
          third_party_settings: {  }
          weight: 3
          region: ds_content
        field_media_image:
          type: media_thumbnail
          label: hidden
          settings:
            image_link: ''
            image_style: ''
            image_loading:
              attribute: lazy
          third_party_settings: {  }
          weight: 0
          region: ds_content
        field_tags:
          type: entity_reference_label
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 5
          region: ds_content
        field_topics:
          type: entity_reference_label
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 4
          region: ds_content
      hidden:
        body: true
        field_campaign_type: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: WyaVNogyMRdHAM5DxIeLqiilIfn6vSJJbMZWC1IGiCo
  -
    collection: ''
    name: core.entity_view_display.node.campaign.simple_card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.simple_card
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
          - responsive_image.styles.drutopia_card
        module:
          - ds
          - field_group
          - media_responsive_thumbnail
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              classes:
                layout_class: {  }
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              label: ''
          regions:
            ds_content:
              - field_media_image
              - 'bundle_field:node'
              - group_card_content
              - node_title
          fields:
            node_title:
              plugin_id: node_title
              weight: 1
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
                exclude_node_title: '1'
            'bundle_field:node':
              plugin_id: 'bundle_field:node'
              weight: 0
              label: hidden
              formatter: default
        field_group:
          group_card_content:
            children:
              - 'bundle_field:node'
              - node_title
            label: 'Card content'
            parent_name: ''
            region: ds_content
            weight: 1
            format_type: html_element
            format_settings:
              classes: ''
              id: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
      id: node.campaign.simple_card
      targetEntityType: node
      bundle: campaign
      mode: simple_card
      content:
        field_media_image:
          type: media_responsive_thumbnail
          label: hidden
          settings:
            responsive_image_style: drutopia_card
            image_link: ''
            image_loading:
              attribute: lazy
          third_party_settings: {  }
          weight: 0
          region: ds_content
      hidden:
        body: true
        field_body_paragraph: true
        field_campaign_demands: true
        field_campaign_type: true
        field_campaign_updates: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: yjNFiIrQKitLoThc_NzafsLdHjvnbJe5Kal0BWtBaQU
  -
    collection: ''
    name: core.entity_view_display.node.campaign.teaser
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.campaign.body
          - field.field.node.campaign.field_body_paragraph
          - field.field.node.campaign.field_campaign_demands
          - field.field.node.campaign.field_campaign_type
          - field.field.node.campaign.field_campaign_updates
          - field.field.node.campaign.field_image
          - field.field.node.campaign.field_media_image
          - field.field.node.campaign.field_meta_tags
          - field.field.node.campaign.field_summary
          - field.field.node.campaign.field_tags
          - field.field.node.campaign.field_topics
          - node.type.campaign
          - responsive_image.styles.drutopia_card
        module:
          - ds
          - media_responsive_thumbnail
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_2col
            library: ds/ds_2col
            disable_css: true
            entity_classes: all_classes
            settings:
              classes:
                layout_class: {  }
              wrappers:
                left: div
                right: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              label: ''
          regions:
            left:
              - field_media_image
            right:
              - node_title
              - field_summary
              - field_campaign_type
              - field_topics
          fields:
            node_title:
              plugin_id: node_title
              weight: 1
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.campaign.teaser
      targetEntityType: node
      bundle: campaign
      mode: teaser
      content:
        field_campaign_type:
          type: entity_reference_label
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 3
          region: right
        field_media_image:
          type: media_responsive_thumbnail
          label: hidden
          settings:
            responsive_image_style: drutopia_card
            image_link: ''
            image_loading:
              attribute: lazy
          third_party_settings: {  }
          weight: 0
          region: left
        field_summary:
          type: text_default
          label: hidden
          settings: {  }
          third_party_settings: {  }
          weight: 2
          region: right
        field_topics:
          type: entity_reference_label
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          weight: 4
          region: right
      hidden:
        body: true
        field_body_paragraph: true
        field_campaign_demands: true
        field_campaign_updates: true
        field_image: true
        field_meta_tags: true
        field_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: ywOnxH9_wk4Oo7C4p2AvhBPHr_Jvu2t_HQUBigCqDqE
  -
    collection: ''
    name: facets.facet.campaign_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.campaign
          - views.view.campaign
        module:
          - search_api
      id: campaign_topics
      name: 'Campaign Topics'
      url_alias: campaign_topics
      weight: 0
      min_count: 1
      missing: false
      missing_label: others
      show_only_one_result: false
      field_identifier: field_topics
      facet_source_id: 'search_api:views_page__campaign__page_listing'
      widget:
        type: checkbox
        config:
          show_numbers: true
          soft_limit: 10
          soft_limit_settings:
            show_less_label: 'Show fewer'
            show_more_label: 'Show more'
          show_reset_link: false
          reset_text: 'Show all'
          hide_reset_when_no_selection: false
      query_operator: or
      use_hierarchy: false
      keep_hierarchy_parents_active: false
      hierarchy:
        type: taxonomy
        config: {  }
      expand_hierarchy: false
      enable_parent_when_child_gets_disabled: true
      hard_limit: 0
      exclude: false
      only_visible_when_facet_source_is_visible: true
      processor_configs:
        display_value_widget_order:
          processor_id: display_value_widget_order
          weights:
            sort: 40
          settings:
            sort: ASC
        translate_entity:
          processor_id: translate_entity
          weights:
            build: 5
          settings: {  }
        url_processor_handler:
          processor_id: url_processor_handler
          weights:
            pre_query: 50
            build: 15
          settings: {  }
      empty_behavior:
        behavior: none
      show_title: false
      _core:
        default_config_hash: VjVeDPCKBDFn4Sxqir8vhOey5yZG1C0Uh3En3tfxSXc
  -
    collection: ''
    name: facets.facet.campaign_type
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.campaign
          - views.view.campaign
        module:
          - search_api
      id: campaign_type
      name: 'Campaign Type'
      url_alias: campaign_type
      weight: 0
      min_count: 1
      missing: false
      missing_label: others
      show_only_one_result: false
      field_identifier: field_campaign_type
      facet_source_id: 'search_api:views_page__campaign__page_listing'
      widget:
        type: checkbox
        config:
          show_numbers: true
          soft_limit: 10
          soft_limit_settings:
            show_less_label: 'Show fewer'
            show_more_label: 'Show more'
          show_reset_link: false
          reset_text: 'Show all'
          hide_reset_when_no_selection: false
      query_operator: or
      use_hierarchy: false
      keep_hierarchy_parents_active: false
      hierarchy:
        type: taxonomy
        config: {  }
      expand_hierarchy: false
      enable_parent_when_child_gets_disabled: true
      hard_limit: 0
      exclude: false
      only_visible_when_facet_source_is_visible: true
      processor_configs:
        display_value_widget_order:
          processor_id: display_value_widget_order
          weights:
            sort: 40
          settings:
            sort: ASC
        translate_entity:
          processor_id: translate_entity
          weights:
            build: 5
          settings: {  }
        url_processor_handler:
          processor_id: url_processor_handler
          weights:
            pre_query: 50
            build: 15
          settings: {  }
      empty_behavior:
        behavior: none
      show_title: false
      _core:
        default_config_hash: ffMyJd7cb2MFj9D73lt8DbcwK2ejeusrjaPxTdymEkU
  -
    collection: ''
    name: field.field.node.campaign.body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.body
          - node.type.campaign
        module:
          - text
      id: node.campaign.body
      field_name: body
      entity_type: node
      bundle: campaign
      label: Body
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        display_summary: true
        required_summary: false
        allowed_formats: {  }
      field_type: text_with_summary
      _core:
        default_config_hash: V4rI6enZ3rTtgQqxXQXrjXwAZJIpetEd686F0_digf0
  -
    collection: ''
    name: field.field.node.campaign.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.campaign
          - paragraphs.paragraphs_type.file
          - paragraphs.paragraphs_type.image
          - paragraphs.paragraphs_type.text
        module:
          - entity_reference_revisions
      id: node.campaign.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: campaign
      label: Background
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          target_bundles:
            file: file
            image: image
            text: text
          target_bundles_drag_drop:
            file:
              enabled: true
              weight: -7
            image:
              enabled: true
              weight: -7
            text:
              enabled: true
              weight: -7
            update:
              weight: 8
              enabled: false
      field_type: entity_reference_revisions
      _core:
        default_config_hash: eQ5Jp9J4OVS6YUsxeBfWQx6E-qgMTADFYWPtEZnV7oM
  -
    collection: ''
    name: field.field.node.campaign.field_campaign_demands
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_campaign_demands
          - node.type.campaign
          - paragraphs.paragraphs_type.text
        module:
          - entity_reference_revisions
      id: node.campaign.field_campaign_demands
      field_name: field_campaign_demands
      entity_type: node
      bundle: campaign
      label: Demands
      description: ''
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          target_bundles:
            text: text
          target_bundles_drag_drop:
            text:
              enabled: true
              weight: -9
            file:
              weight: -8
              enabled: false
            image:
              weight: -7
              enabled: false
      field_type: entity_reference_revisions
      _core:
        default_config_hash: NHHjujZdR3UyxAV4kvs0E3Z1zATFOSl9M_tnAWJxOSY
  -
    collection: ''
    name: field.field.node.campaign.field_campaign_type
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_campaign_type
          - node.type.campaign
          - taxonomy.vocabulary.campaign_type
      id: node.campaign.field_campaign_type
      field_name: field_campaign_type
      entity_type: node
      bundle: campaign
      label: 'Campaign type'
      description: ''
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            campaign_type: campaign_type
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: WJrxMKpbUHOQfbxtYtkJk3imnsDgkpG59rc8dlTjGrQ
  -
    collection: ''
    name: field.field.node.campaign.field_campaign_updates
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_campaign_updates
          - node.type.campaign
          - paragraphs.paragraphs_type.update
        module:
          - entity_reference_revisions
      id: node.campaign.field_campaign_updates
      field_name: field_campaign_updates
      entity_type: node
      bundle: campaign
      label: Updates
      description: ''
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          target_bundles:
            update: update
          target_bundles_drag_drop:
            text:
              weight: -9
              enabled: false
            file:
              weight: -8
              enabled: false
            image:
              weight: -7
              enabled: false
            update:
              enabled: true
              weight: 8
      field_type: entity_reference_revisions
      _core:
        default_config_hash: CQFlOgb4WvvbaAvOTnDIv4C3jIQasK_OMmYC_FFkWeM
  -
    collection: ''
    name: field.field.node.campaign.field_image
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_image
          - node.type.campaign
        module:
          - image
      id: node.campaign.field_image
      field_name: field_image
      entity_type: node
      bundle: campaign
      label: 'Image (DEPRECATED)'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:file'
        handler_settings: {  }
        file_directory: '[date:custom:Y]-[date:custom:m]'
        file_extensions: 'png gif jpg jpeg'
        max_filesize: ''
        max_resolution: ''
        min_resolution: ''
        alt_field: true
        alt_field_required: true
        title_field: false
        title_field_required: false
        default_image:
          uuid: ''
          alt: ''
          title: ''
          width: null
          height: null
      field_type: image
      _core:
        default_config_hash: 6CCH48sl3P6DLwMXA3J6rQtc5FGeSlFmXSf2wyR6gyI
  -
    collection: ''
    name: field.field.node.campaign.field_media_image
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_media_image
          - media.type.image
          - node.type.campaign
        module:
          - media_library_media_modify
      id: node.campaign.field_media_image
      field_name: field_media_image
      entity_type: node
      bundle: campaign
      label: 'Media image'
      description: ''
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:media'
        handler_settings:
          target_bundles:
            image: image
          sort:
            field: _none
            direction: ASC
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference_entity_modify
      _core:
        default_config_hash: JJLW7sgLRBTUu1im6t6CZyDmNuvzRITlwLmCza2CMDM
  -
    collection: ''
    name: field.field.node.campaign.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.campaign
        module:
          - metatag
      id: node.campaign.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: campaign
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 'a:0:{}'
      default_value_callback: ''
      settings: {  }
      field_type: metatag
      _core:
        default_config_hash: nutKI9xxFlgp0yvD43OWps3lb5ugv2_e1rtM2YliVtA
  -
    collection: ''
    name: field.field.node.campaign.field_summary
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
          - node.type.campaign
        module:
          - text
      id: node.campaign.field_summary
      field_name: field_summary
      entity_type: node
      bundle: campaign
      label: Summary
      description: 'Enter a short description (one or two sentences) of what this campaign is about. The summary is displayed on Campaign teasers, such as on the Campaigns page. '
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        allowed_formats: {  }
      field_type: text_long
      _core:
        default_config_hash: OhCzvLkgzSxkCo250B4nSQ5lbziy36D2KLjEdstuY6k
  -
    collection: ''
    name: field.field.node.campaign.field_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - node.type.campaign
          - taxonomy.vocabulary.tags
      id: node.campaign.field_tags
      field_name: field_tags
      entity_type: node
      bundle: campaign
      label: Tags
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            tags: tags
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: l2RtUWEGmLOzpPqjk_aD8K2x5P-OxJ9p9xjBGzO1sak
  -
    collection: ''
    name: field.field.node.campaign.field_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_topics
          - node.type.campaign
          - taxonomy.vocabulary.topics
      id: node.campaign.field_topics
      field_name: field_topics
      entity_type: node
      bundle: campaign
      label: Topics
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            topics: topics
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
      _core:
        default_config_hash: EBH98iRftldF7ACOkmeQsb7iZR7x5svw9yszIVrkaEs
  -
    collection: ''
    name: field.storage.node.field_campaign_demands
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - entity_reference_revisions
          - node
          - paragraphs
      id: node.field_campaign_demands
      field_name: field_campaign_demands
      entity_type: node
      type: entity_reference_revisions
      settings:
        target_type: paragraph
      module: entity_reference_revisions
      locked: false
      cardinality: -1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: 2dsdSBqZyOcMm5xkOOTlSDjxvb0U9yfypPv06DsVOOM
  -
    collection: ''
    name: field.storage.node.field_campaign_type
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
          - taxonomy
      id: node.field_campaign_type
      field_name: field_campaign_type
      entity_type: node
      type: entity_reference
      settings:
        target_type: taxonomy_term
      module: core
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: VkUFnEQSApDxurF8dWGQdi8c7A7opB_CXa2xkTOWse0
  -
    collection: ''
    name: field.storage.node.field_campaign_updates
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - entity_reference_revisions
          - node
          - paragraphs
      id: node.field_campaign_updates
      field_name: field_campaign_updates
      entity_type: node
      type: entity_reference_revisions
      settings:
        target_type: paragraph
      module: entity_reference_revisions
      locked: false
      cardinality: -1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
      _core:
        default_config_hash: PaKKPKdiSC600hdel-MM96keDmINUq75GdrfAvFA0Gw
  -
    collection: ''
    name: node.type.campaign
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - menu_ui
      third_party_settings:
        menu_ui:
          available_menus:
            - main
          parent: 'main:'
      name: Campaign
      type: campaign
      description: 'A <em>campaign</em> includes background information as well as ability to list demands and updates.'
      help: ''
      new_revision: true
      preview_mode: 1
      display_submitted: false
      _core:
        default_config_hash: vONLqXtcT2yu3KjTCC2eINHyzETT0unqlLfOzHj1tqY
  -
    collection: ''
    name: pathauto.pattern.node_campaign
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_campaign
      label: 'Node campaign'
      type: 'canonical_entities:node'
      pattern: 'campaigns/[node:title]'
      selection_criteria:
        34e96b22-676c-4aaf-88f1-0ad887906bbc:
          id: 'entity_bundle:node'
          bundles:
            campaign: campaign
          negate: false
          context_mapping:
            node: node
          uuid: 34e96b22-676c-4aaf-88f1-0ad887906bbc
      selection_logic: and
      weight: -5
      relationships: {  }
      _core:
        default_config_hash: WNQ9gjFPbQoqvsCFU3EWzzUWNURHGTublcmeffOK7MQ
  -
    collection: ''
    name: search_api.index.campaign
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_campaign_type
          - field.storage.node.field_summary
          - field.storage.node.field_tags
          - field.storage.node.field_topics
          - search_api.server.database
          - core.entity_view_mode.node.search_index
        module:
          - node
          - user
          - search_api
      id: campaign
      name: Campaign
      description: 'An index for the campaign content type.'
      read_only: false
      field_settings:
        changed:
          label: Changed
          datasource_id: 'entity:node'
          property_path: changed
          type: date
          dependencies:
            module:
              - node
        created:
          label: 'Authored on'
          datasource_id: 'entity:node'
          property_path: created
          type: date
          dependencies:
            module:
              - node
        field_campaign_type:
          label: 'Campaign type'
          datasource_id: 'entity:node'
          property_path: field_campaign_type
          type: integer
          dependencies:
            config:
              - field.storage.node.field_campaign_type
        field_summary:
          label: Summary
          datasource_id: 'entity:node'
          property_path: field_summary
          type: text
          dependencies:
            config:
              - field.storage.node.field_summary
        field_tags:
          label: Tags
          datasource_id: 'entity:node'
          property_path: field_tags
          type: integer
          dependencies:
            config:
              - field.storage.node.field_tags
        field_topics:
          label: Topics
          datasource_id: 'entity:node'
          property_path: field_topics
          type: integer
          dependencies:
            config:
              - field.storage.node.field_topics
        name:
          label: 'Authored by » User » Name'
          datasource_id: 'entity:node'
          property_path: 'uid:entity:name'
          type: string
          dependencies:
            module:
              - node
              - user
        node_grants:
          label: 'Node access information'
          property_path: search_api_node_grants
          type: string
          indexed_locked: true
          type_locked: true
          hidden: true
        promote:
          label: 'Promoted to front page'
          datasource_id: 'entity:node'
          property_path: promote
          type: boolean
          dependencies:
            module:
              - node
        rendered_item:
          label: 'Rendered HTML output'
          property_path: rendered_item
          type: text
          configuration:
            roles:
              anonymous: anonymous
            view_mode:
              'entity:node':
                campaign: search_index
        status:
          label: Published
          datasource_id: 'entity:node'
          property_path: status
          type: boolean
          indexed_locked: true
          type_locked: true
          dependencies:
            module:
              - node
        sticky:
          label: 'Sticky at top of lists'
          datasource_id: 'entity:node'
          property_path: sticky
          type: boolean
          dependencies:
            module:
              - node
        title:
          label: Title
          datasource_id: 'entity:node'
          property_path: title
          type: text
          boost: 8.0
          dependencies:
            module:
              - node
        uid:
          label: 'Authored by'
          datasource_id: 'entity:node'
          property_path: uid
          type: integer
          indexed_locked: true
          type_locked: true
          dependencies:
            module:
              - node
      datasource_settings:
        'entity:node':
          bundles:
            default: false
            selected:
              - campaign
          languages:
            default: true
            selected: {  }
      processor_settings:
        add_url: {  }
        aggregated_field: {  }
        content_access:
          weights:
            preprocess_query: -45
        entity_status: {  }
        html_filter:
          all_fields: false
          fields:
            - field_summary
            - rendered_item
          title: true
          alt: true
          tags:
            b: 2
            h1: 5
            h2: 3
            h3: 2
            strong: 2
          weights:
            preprocess_index: -46
            preprocess_query: -47
        ignorecase:
          all_fields: false
          fields:
            - field_summary
            - name
            - rendered_item
            - title
          weights:
            preprocess_index: -49
            preprocess_query: -49
        language_with_fallback: {  }
        rendered_item: {  }
        stopwords:
          all_fields: false
          fields:
            - field_summary
            - rendered_item
            - title
          stopwords:
            - a
            - an
            - and
            - are
            - as
            - at
            - be
            - but
            - by
            - for
            - if
            - in
            - into
            - is
            - it
            - 'no'
            - not
            - of
            - 'on'
            - or
            - s
            - such
            - t
            - that
            - the
            - their
            - then
            - there
            - these
            - they
            - this
            - to
            - was
            - will
            - with
          weights:
            preprocess_index: -48
            preprocess_query: -50
        tokenizer:
          all_fields: false
          fields:
            - field_summary
            - rendered_item
            - title
          spaces: ''
          overlap_cjk: 1
          minimum_word_size: '3'
          weights:
            preprocess_index: -44
            preprocess_query: -46
          ignored: ._-
        transliteration:
          all_fields: false
          fields:
            - field_summary
            - name
            - rendered_item
            - title
          weights:
            preprocess_index: -47
            preprocess_query: -48
      tracker_settings:
        default:
          indexing_order: fifo
      options:
        index_directly: true
        cron_limit: 50
        track_changes_in_references: true
      server: database
      _core:
        default_config_hash: Y6to2nKGfU3R2bIq0VUYP69DsAzd2KhgOkPqXhx1juA
  -
    collection: ''
    name: taxonomy.vocabulary.campaign_type
    data:
      langcode: en
      status: true
      dependencies: {  }
      name: 'Campaign type'
      vid: campaign_type
      description: 'For categorizing campaigns.'
      weight: 0
      _core:
        default_config_hash: RNfKq7QtA9rZKU3Bul5wn7-LbstXqWyS4jod-9HnM4U
  -
    collection: ''
    name: views.view.campaign
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.campaign
          - system.menu.main
        module:
          - search_api
          - user
      id: campaign
      label: Campaign
      module: views
      description: 'Various displays for the campign content type.'
      tag: ''
      base_table: search_api_index_campaign
      base_field: search_api_id
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access content'
            cache:
              type: none
              options: {  }
            query:
              type: search_api_query
              options:
                bypass_access: false
                skip_access: false
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 12
                offset: 0
                id: 0
                total_pages: null
                tags:
                  previous: ‹‹
                  next: ››
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
            style:
              type: default
              options:
                row_class: ''
                default_row_class: false
                uses_fields: false
            row:
              type: search_api
              options:
                view_modes:
                  'entity:node':
                    campaign: card
            fields:
              rendered_item:
                table: search_api_index_campaign
                field: rendered_item
                id: rendered_item
                entity_type: null
                entity_field: null
                plugin_id: search_api
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                link_to_item: false
                use_highlighting: false
                multi_type: separator
                multi_separator: ', '
            filters: {  }
            sorts:
              sticky:
                id: sticky
                table: search_api_index_campaign
                field: sticky
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
              created:
                id: created
                table: search_api_index_campaign
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
            title: Campaigns
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - 'user.node_grants:view'
              - user.permissions
            tags:
              - 'config:search_api.index.campaign'
        block_promoted:
          display_plugin: block
          id: block_promoted
          display_title: 'Block Promoted'
          position: 2
          display_options:
            display_extenders: {  }
            display_description: ''
            filters:
              promote:
                id: promote
                table: search_api_index_campaign
                field: promote
                relationship: none
                group_type: group
                admin_label: ''
                operator: '='
                value: '1'
                group: 1
                exposed: false
                expose:
                  operator_id: ''
                  label: ''
                  description: ''
                  use_operator: false
                  operator: ''
                  identifier: ''
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                  operator_limit_selection: false
                  operator_list: {  }
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: search_api_boolean
            defaults:
              filters: false
              filter_groups: false
              pager: false
            filter_groups:
              operator: AND
              groups:
                1: AND
            pager:
              type: some
              options:
                items_per_page: 4
                offset: 0
            block_hide_empty: true
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - 'user.node_grants:view'
              - user.permissions
            tags:
              - 'config:search_api.index.campaign'
        page_listing:
          display_plugin: page
          id: page_listing
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: campaigns
            menu:
              type: normal
              title: Campaigns
              description: 'Join our campaigns.'
              expanded: false
              parent: 'menu_link_content:3f594be0-bb0f-4b30-923e-e7984983a0fd'
              weight: 0
              context: '0'
              menu_name: main
            cache:
              type: none
            defaults:
              cache: false
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - 'user.node_grants:view'
              - user.permissions
            tags:
              - 'config:search_api.index.campaign'
      _core:
        default_config_hash: fjmCUhl-OnlQzhr8At3adeiglvDQhhsQ1nGsrleO268
